core::net::http::Request::Errors::AlreadyActive Struct Reference

AlreadyActive is thrown when *execute is called on an active request. More...

`#include <request.h>`

Inheritance diagram for core::net::http::Request::Errors::AlreadyActive:
Collaboration diagram for core::net::http::Request::Errors::AlreadyActive:

## Public Member Functions

| AlreadyActive (const core::Location &loc)
| AlreadyActive creates a new instance with a location hint.
Public Member Functions inherited from core::net::http::Error
| Error (const std::string &what, const Location &loc)
virtual | ~Error ()=default
Public Member Functions inherited from core::net::Error
| Error (const std::string &what, const Location &el)

## Detailed Description

AlreadyActive is thrown when *execute is called on an active request.

Definition at line 64 of file request.h.

## Constructor & Destructor Documentation

## AlreadyActive()

core::net::http::Request::Errors::AlreadyActive::AlreadyActive | ( | const core::Location & | loc | ) |

AlreadyActive creates a new instance with a location hint.

Parameters

  loc | The location that the call originates from.

The documentation for this struct was generated from the following file:

- request.h